UbixOS V2 2.0

Public Member Functions
ogModeInfo Struct Reference

`#include <ogDisplay_UbixOS.h>`

Collaboration diagram for ogModeInfo:

## Public Member Functions
uint16_t modeAttributes | __attribute__ ((packed))
uint8_t windowAFlags | __attribute__ ((packed))
uint8_t windowBFlags | __attribute__ ((packed))
uint16_t granularity | __attribute__ ((packed))
uint16_t windowSize | __attribute__ ((packed))
uint16_t windowASeg | __attribute__ ((packed))
uint16_t windowBSeg | __attribute__ ((packed))
void *bankSwitch | __attribute__ ((packed))
uint16_t bytesPerLine | __attribute__ ((packed))
uint16_t xRes | __attribute__ ((packed))
uint16_t yRes | __attribute__ ((packed))
uint8_t charWidth | __attribute__ ((packed))
uint8_t charHeight | __attribute__ ((packed))
uint8_t numBitPlanes | __attribute__ ((packed))
uint8_t bitsPerPixel | __attribute__ ((packed))
uint8_t numberOfBanks | __attribute__ ((packed))
uint8_t memoryModel | __attribute__ ((packed))
uint8_t bankSize | __attribute__ ((packed))
uint8_t numOfImagePages | __attribute__ ((packed))
uint8_t reserved | __attribute__ ((packed))
uint8_t redMaskSize | __attribute__ ((packed))
uint8_t redFieldPosition | __attribute__ ((packed))
uint8_t greenMaskSize | __attribute__ ((packed))
uint8_t greenFieldPosition | __attribute__ ((packed))
uint8_t blueMaskSize | __attribute__ ((packed))
uint8_t blueFieldPosition | __attribute__ ((packed))
uint8_t alphaMaskSize | __attribute__ ((packed))
uint8_t alphaFieldPosition | __attribute__ ((packed))
uint8_t directColourMode | __attribute__ ((packed))
uint32_t physBasePtr | __attribute__ ((packed))
void *offScreenMemOffset | __attribute__ ((packed))
uint16_t offScreenMemSize | __attribute__ ((packed))
uint8_t paddington[461] | __attribute__ ((packed))

## Detailed Description

Definition at line 35 of file ogDisplay_UbixOS.h.

## Member Function Documentation

## ◆ __attribute__() [1/33]

uint16_t modeAttributes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [2/33]

uint8_t windowAFlags ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [3/33]

uint8_t windowBFlags ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [4/33]

uint16_t granularity ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [5/33]

uint16_t windowSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [6/33]

uint16_t windowASeg ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [7/33]

uint16_t windowBSeg ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [8/33]

void* bankSwitch ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [9/33]

uint16_t bytesPerLine ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [10/33]

uint16_t xRes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [11/33]

uint16_t yRes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [12/33]

uint8_t charWidth ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [13/33]

uint8_t charHeight ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [14/33]

uint8_t numBitPlanes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [15/33]

uint8_t bitsPerPixel ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [16/33]

uint8_t numberOfBanks ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [17/33]

uint8_t memoryModel ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [18/33]

uint8_t bankSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [19/33]

uint8_t numOfImagePages ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [20/33]

uint8_t reserved ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [21/33]

uint8_t redMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [22/33]

uint8_t redFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [23/33]

uint8_t greenMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [24/33]

uint8_t greenFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [25/33]

uint8_t blueMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [26/33]

uint8_t blueFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [27/33]

uint8_t alphaMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [28/33]

uint8_t alphaFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [29/33]

uint8_t directColourMode ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [30/33]

uint32_t physBasePtr ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [31/33]

void* offScreenMemOffset ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [32/33]

uint16_t offScreenMemSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

## ◆ __attribute__() [33/33]

uint8_t paddington [461] ogModeInfo::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sde/ogDisplay_UbixOS.h